// (C) Copyright NuoDB, Inc. 2013-2015  All Rights Reserved.

#pragma once

// If we're not in GCC or Clang, disable the __attribute__() feature
#if !defined(__attribute__)
# if !defined(__GNUC__) && !defined(__clang__)
#  define __attribute__(_x)
# endif
#endif

#if defined(NUODB_SQLAPI_EXPORT) && defined(NUODB_SQLAPI_STATIC)
# error Both NUODB_SQLAPI_EXPORT and NUODB_SQLAPI_STATIC defined in the same translation unit
#endif

#if defined(_WIN32)
# define NUODB_SQLAPI_STDCALL __stdcall
# if defined(NUODB_SQLAPI_EXPORT)
#  define NUODB_SQLAPI __declspec(dllexport)
# elif defined(NUODB_SQLAPI_STATIC)
#  define NUODB_SQLAPI
# else
#  define NUODB_SQLAPI __declspec(dllimport)
# endif
#else
# define NUODB_SQLAPI_STDCALL
# if __GNUC__ >= 4
#  define NUODB_SQLAPI __attribute__((visibility("default")))
# else
#  define NUODB_SQLAPI
# endif
#endif
