/* Copyright 2013-2015 NuoDB, Inc. All rights reserved */

#pragma once

namespace NuoDB
{
/**
 * @brief   A simple struct type for storing an array of bytes and its 
 *          corresponding length
 *
 * This struct represents the return type from ResultSet::getBytes().
 */
struct Bytes
{
    /**
     * @brief   The length of the array of bytes stored in data
     */
    unsigned int length;

    /**
     * @brief   An array of bytes
     */
    const unsigned char* data;
};
}
